 % calculation of slab waveguide modes using FDs
pi=3.141592653589793e+000;
N=800; % total number of mesh points
A=zeros(N); % initialisation of matrix A
Nw=100; % number of mesh points in waveguide
t=2; % slab thickness in [micrometers]
dx=t/Nw; % dx in [micrometers]
lam=1.55; % wavelength in [micrometers]
k0=2*pi/lam; % wave number k0
nf=3.3704; % refractive index in core 
ns=3.2874; % refractive index in cladding
nc=3.2874; % refractive index in substrate
x=dx*(1:N); % vector with the positions of sampling points
 
c=1/(dx*dx); 
% setting off diagonals
for j=1:N-1
    A(j,j+1)=c;
    A(j+1,j)=c;
end
 
% setting up vector storing the values of refractive index
 
n=ns*ones(N,1); 
for j=N/2:N
    n(j)=nc;
end
 
for j=(N/2-Nw/2+1):(N/2-Nw/2+Nw)
    n(j)=nf;
end    
 
% setting main diagonal
A=A+diag(n.*n*k0*k0-2*c);
    
[V,Ba]=eig(A);
 
[max_eig,max_pos]=max((real(diag(Ba))));
% the largest eigenvalue corresponds to fundamental propagating mode:
beta=sqrt((((Ba(max_pos,max_pos))))) 
neff=beta/k0 %effective index


