function HDebye = hdf(m,nc,na,V,B)
% function caculates the value of LHS (after moving all terms to LHS) of Hondros Debye equation for m=1, eq 5.28 AM: teoria..
w=sqrt(B)*V;
u=sqrt(1-B)*V;
N2=B*(nc^2-na^2)+na^2;

Jminus=besselj(m-1,u)./(u.*besselj(m,u));
Jplus=besselj(m+1,u)./(u.*besselj(m,u));
Kminus=besselk(m-1,w)./(w.*besselk(m,w));
Kplus=besselk(m+1,w)./(w.*besselk(m,w));
X1=-0.5*(Kminus+Kplus);
Y1=0.5*(Jminus-Jplus);
% Hondros-Debye equation
HDebye=(X1+Y1).*(nc^2*Y1+na^2*X1)-m*m*N2./((u.^2.*B).^2);
